class V1::ActivitiesController < ApplicationController
  before_action :authenticate_user!, only: [:my_activities]

  # GET v1/activities
  # GET v1/activities.json
  def index
    render json: PublicActivity::Activity.includes(:owner).order("created_at DESC").all
  end

  # GET v1/activities/my_activities
  # GET v1/activities/my_activities.json
  def my_activities
    activities = PublicActivity::Activity.order("created_at DESC").where(owner_type: "User", owner_id: current_user).all
    render json: activities
  end

end
