module Reviewable
  extend ActiveSupport::Concern

  included do
    has_many :reviews, as: :reviewable, dependent: :destroy
  end

  def review_ratings_average
    array = reviews.map(&:rating_average)
    return 0.0 if array.size == 0
    array.inject(0.0) { |a, e| a + e }.to_f / array.size.to_f
  end

end
