module Stateful
  extend ActiveSupport::Concern

  included do
    # validates with accepted states
    validates :state, inclusion: { in: %w(draft published suspended) }
  end

  def is_published?
    'published' == state
  end

  def is_draft?
    'draft' == state
  end

  def publish
    self.state = 'published'
  end

  def draft
    self.state = 'draft'
  end

  def suspend
    self.state = 'suspended'
  end

  def is_suspended?
    'suspended' == state
  end

end
