# == Schema Information
#
# Table name: shares
#
#  id             :integer          not null, primary key
#  shareable_id   :integer
#  shareable_type :string
#  user_id        :integer
#  created_at     :datetime         not null
#  updated_at     :datetime         not null
#

class Share < ActiveRecord::Base
  include Trackable

  belongs_to :shareable, polymorphic: true, counter_cache: true
  belongs_to :user

  validates_presence_of :user, :shareable
end
