class BitstreamMimeWorker
  include Sidekiq::Worker

  def perform(id)
    attachment = LearningObject::Attachment.find(id)
    client = DspaceService.create_client
    return false if attachment.nil? || client.nil?

    file = client.bitstreams.retrieve(id: attachment.id_dspace).open
    begin
      mime = MimeMagic.by_magic(file)
      attachment.update(format: mime.mediatype, mime_type: mime.type) unless mime.blank?
    ensure
      File.unlink(file.path)
    end
  end
end
