namespace :score do
  desc "Generate Score"

  task calculate_all: :environment do
    %w(LearningObject Collection User).map { |o| calculate(o) }
  end

  private

  def calculate(object)
    return false unless %w(Collection LearningObject User).include?(object)

    object.constantize.all.find_each do |item|
      ScoreCalculatorWorker.perform_async(item.id, item.class.name)
    end
  end

end
