require 'test_helper'

class ScoreCalculatorServiceTest < ActiveSupport::TestCase

  test 'reputation calculation' do
    hash_stub = {
        'submitted_objects': 60,
        'reviews_score_average': 4.8,
        'learning_objects_in_best_collections': 4,
        'learning_objects_best_score': 736,
        'learning_objects_average_score': 680,
        'review_approval_average': 98,
        'followers_count': 300,
        'learning_objects_recently_submitted': 5,
        'collections_score_average': 700
    }

    calculator = ScoreCalculatorService.new(users(:one))

    calculator.stub :object_hash, hash_stub do
      assert_equal 0.677361, calculator.calculate
    end
  end

  test 'score calculation' do
    hash_stub = {
        'normalized_review_average': (5.0 / 5.0),
        'normalized_thumbnail': 1,
        'normalized_views': 0.1,
        'normalized_likes': 0.9311,
        'normalized_downloads': 0.125,
        'normalized_shares': 0.1,
        'normalized_description': 1,
        'user_category': (3.0 / 5.0),
        'normalized_collected': 0.5,
        'normalized_bookmarked': 0.56
    }

    calculator = ScoreCalculatorService.new(learning_objects(:one))

    calculator.stub :object_hash, hash_stub do
      assert_equal 0.656472, calculator.calculate
    end
  end
end