ENV['RAILS_ENV'] ||= 'test'
require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'
require 'minitest/mock'
require 'minitest/reporters'

# disable public activity gem for testing purpouses
require 'public_activity/testing'
PublicActivity.enabled = false

class ActiveSupport::TestCase
  # Setup all fixtures in test/fixtures/*.yml for all tests in alphabetical order.
  fixtures :all

  # load seeds
  # Rails.application.load_seed

  # Add more helper methods to be used by all tests here...

  def assert_count(expected, actual = 0)
    assert_equal expected.to_i, actual.count
  end

  # authenticate requests using devise_token_auth
  def auth_request(user)
    sign_in user
    request.headers.merge!(user.create_new_auth_token)
  end

  def mock
    MiniTest::Mock.new
  end

  # config.after :all do
  #   ActiveRecord::Base.subclasses.each(&:delete_all)
  # end

  Minitest::Reporters.use!
end
